from parallels.core.utils.entity import Entity


class WebUser(Entity):
    def __init__(self, web_user_id, domain_id, sys_user_id, php, asp_dot_net, write_modify, cgi, fastcgi):
        self._web_user_id = web_user_id
        self._domain_id = domain_id
        self._sys_user_id = sys_user_id
        self._php = php
        self._asp_dot_net = asp_dot_net
        self._write_modify = write_modify
        self._cgi = cgi
        self._fastcgi = fastcgi

    @property
    def web_user_id(self):
        """
        :rtype: str | unicode
        """
        return self._web_user_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def sys_user_id(self):
        """
        :rtype: str | unicode
        """
        return self._sys_user_id

    @property
    def php(self):
        """
        :rtype: str | unicode
        """
        return self._php

    @property
    def asp_dot_net(self):
        """
        :rtype: str | unicode
        """
        return self._asp_dot_net

    @property
    def write_modify(self):
        """
        :rtype: str | unicode
        """
        return self._write_modify

    @property
    def cgi(self):
        """
        :rtype: str | unicode
        """
        return self._cgi

    @property
    def fastcgi(self):
        """
        :rtype: str | unicode
        """
        return self._fastcgi
